with Glib; use Glib;
package Parametros is

  -- Maximo de comecocos que podran visualizar su estado en la ventana de estado
  -- No limita la creacin de ms comecocos, solo su visualizacion en dicha
  -- ventana.
  MaxMenjaCocos: Constant integer:=20;
  
  -- Maximo de partidas que podran visualizar su estado en la ventana de estado
  -- No limita la realizacin de ms partidas, solo su visualizacion en dicha
  -- ventana.
  MaxPartides: Constant integer:=20;
  
  -- Nivel de inteligencia de los comecocos.
  -- Equivale al numero de pasos que da para valorar si un recorrido es
  -- mejor que otro.
  NivellMaxim: Constant integer:= 8;
  
  -- Nivel de inteligencia en la localizacin de objetos inaccesibles
  -- Equivale al numero de pasos que da desde la posicion del objeto hacia
  -- el exterior, si al acabar de dar todos los pasos (o antes) se topa con un
  -- obstaculo en todas las direcciones, se considerar inaccesible.
  NivellMaximAtrapat: Constant integer:= 14;
  
  -- Tamao de la casilla del tablero visual
  Size: Constant Gint:=35;

  -- Reproductor de sonidos  
  Reproductor: Constant String:="esdplay";
  
  -- Directorio donde se encuentran los sonidos;
  DirectorioSounds: Constant String := "sounds/";

end Parametros;
