with InteligenciaArtificial; use InteligenciaArtificial;

package body Cleaner is
  
  -- Tasca que generara una sorpresa cada X tiempo y la quitara al Y tiempo
  task body Clean is
    Ous, Vitamines: LPosicions.Llista;
    OuPos, VitaminaPos: posicio;
    StatusAtrapat: boolean := false;
  begin
    loop
      -- Esperamos a que nos dejen comenzar
      accept start do
        null;
      end start;
      
      -- Comprobamos todos los huevos
      Posicions_Ous(T.ALL, Ous);
      LPosicions.Primer(Ous);
      StatusAtrapat:=false;
      while (LPosicions.Queden(Ous)) loop
        OuPos := LPosicions.Actual(Ous);
        -- Utilizamos una rutina inteligente para averiguar si esta atrapado
        EstaAtrapat(T.ALL, OuPos, StatusAtrapat);
        if (StatusAtrapat) then
          Afegir_OuDolent(T.ALL, OuPos);
          StatusAtrapat:=false;
        end if;
        LPosicions.Seguent(Ous);
      end loop;
      LPosicions.Alliberar_Memoria(Ous);
      
      -- Comprobamos todos las vitaminas
      Posicions_Vitamines(T.ALL, Vitamines);
      LPosicions.Primer(Vitamines);
      StatusAtrapat:=false;
      while (LPosicions.Queden(Vitamines)) loop
        VitaminaPos := LPosicions.Actual(Vitamines);
        -- Utilizamos una rutina inteligente para averiguar si esta atrapado
        EstaAtrapat(T.ALL, VitaminaPos, StatusAtrapat);
        if (StatusAtrapat) then
          Afegir_VitaminaDolenta(T.ALL, VitaminaPos);
          StatusAtrapat:=false;
        end if;
        LPosicions.Seguent(Vitamines);
      end loop;
      LPosicions.Alliberar_Memoria(Vitamines);
      
       -- Esperamos a que nos pidan parar
      accept theEnd do
        null;
      end theEnd;
      
    end loop;
  end Clean;

end Cleaner;
