with Ada.Real_Time; use Ada.Real_Time;

package body Partida is

  task body PartidaTimer is
  begin
    for i in 1..NumPartides loop
      -- Iniciamos el sistema
      Controller.ALL.start;
      
      delay Duracion.ALL; -- Tiempo de la partida
      -- Que deje de mover comecocos pq vamos a proceder a parar el sistema
      -- Evitamos que se produzca un Deadlock entre Control - Comecocos - Coordinador
      -- ja que coordinador no llamar a Control para crear nuevos comecocos, debido
      -- a que no se moveran.
      Coord.ALL.noMove;
      -- Paramos el sistema
      Controller.ALL.theEnd;
    end loop;
  end PartidaTimer;

end Partida;
