-----------------------------
-- Programaci Concurrent  --
--                         --
-- 27-Nov-2002             --
--                         --
-- Sergio Gomez            --
-- Alex Arenas             --
-----------------------------
with Llista;
package Posicions is

  -------------
  -- Posicio --
  -------------

  type Posicio is record
    Fil, Col: Positive;
  end record;
  type PPosicio is access Posicio;
  
  type status is record
    Pos: Posicio;
    Punts: integer;
    Caselles: integer := 0; -- Nombre de caselles visitades
  end record;
  
  package LPosicions is new Llista(posicio);
  use LPosicions;
  
  package LStatus is new Llista(status);
  use LStatus;

end Posicions;
